<?php

function template_main()
{
	global $txt, $todo, $context, $scripturl, $settings;

	echo '
	<form action="', $scripturl, '" method="post" accept-charset="ISO-8859-9" class="clear" name="quickModForm" id="quickModForm">
	<div class="tborder topic_table" id="messageindex">
		<table class="table_grid" cellspacing="0">
			<thead>
				<tr>
					<th scope="col" class="first_th" width="45%">', $txt['to_do_subject'], '</th>
					<th scope="col" width="20%">', $txt['to_do_due_time'], '</th>
					<th scope="col" width="10%">', $txt['to_do_priority'], '</th>
					<th scope="col" class="last_th" width="15%"></th>
				</tr>
			</thead>
			<tbody>';

	if (empty($context['todo']))
		echo $txt['to_do_empty'];
	else
		foreach ($context['todo'] as $todo)
		{
			$action_buttons = array(
				'is_do' => array('text' => 'to_do_' . ($todo['is_do'] ? 'un' : '') . 'mark_do', 'image' => 'is_do.gif', 'lang' => true, 'url' => $scripturl . '?action=todo;sa=' . ($todo['is_do'] ? 'un' : '') . 'mark;id=' . $todo['id']),
				'del' => array('text' => 'to_do_del', 'image' => 'delete.gif', 'lang' => true, 'url' => $scripturl . '?action=todo;sa=delete;id=' . $todo['id']),
			);

			echo '
				<tr class="windowbg2">
					<td class="windowbg">', $todo['subject'], '</td>
					<td>', $todo['time'], '</td>
					<td class="windowbg">', $txt['to_do_priority' . $todo['priority']], '</td>
					<td align="center">
						<a href="', $scripturl, '?action=todo;sa=', ($todo['is_do'] ? 'un' : ''), 'mark;id=', $todo['id'], '"><img src="', $settings['images_url'], '/icons/', ($todo['is_do'] ? 'package_old' : 'package_installed'), '.gif" alt="" /></a>
						<a href="', $scripturl, '?action=todo;sa=delete;id=', $todo['id'], '"><img src="', $settings['images_url'], '/icons/quick_remove.gif" alt="" /></a>
					</td>
				</tr>';
		}

	echo '
			</tbody>
		</table>
	</div>
	</form>';
}

function template_add()
{
	global $scripturl, $context, $txt;
	echo '
	<form action="', $scripturl, '?action=todo;sa=add2" method="post" accept-charset="', $context['character_set'], '" onsubmit="submitonce(this);">
	<table width="100%" border="0">
		<tr>
			<td align="right" style="font-weight: bold;">', $txt['to_do_subject'], '</td>
			<td><input type="text" name="subject" value="" size="50" maxlength="255" /></td>
		</tr>
		<tr>
			<td align="right" style="font-weight: bold;">', $txt['to_do_due_time'], '</td>
			<td><input type="text" name="time" value="" size="50" maxlength="255" /></td>
		</tr>
		<tr>
			<td align="right" style="font-weight: bold;">', $txt['to_do_priority'], '</td>
			<td>
			<select name="priority" size="1" id="priority">
				<option value="0">', $txt['to_do_priority0'], '</option>
				<option value="1">', $txt['to_do_priority1'], '</option>
				<option value="2">', $txt['to_do_priority2'], '</option>
			</select>
			</td>
		</tr>
		<tr>
			<td colspan="2"><input type="submit" value="', $txt['to_do_ok'], '" onclick="return submitThisOnce(this);" accesskey="s" /></td>
		</tr>
	</table>
	<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
	</form>';
}
?>